Subject: bug#78047: closed (Re: bug#78047: WiFi stops working if managed with NetworkManager after migration to unprivileged guix daemon)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Jun 2025 14:32:06 +0000

Your bug report

#78047: WiFi stops working if managed with NetworkManager after migration to unprivileged guix daemon

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78047: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78047
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78047: WiFi stops working if managed with NetworkManager after migration to unprivileged guix daemon
From: Ludovic Courtès <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, Rodion Goritskov <[email-masked]>, [email-masked]
Date: Mon, 23 Jun 2025 16:30:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> writes:

> Your change LGTM!

Pushed as 436a00be92c53f5054885eebd200153933b63a1d.

> P.S. I also found an extra spot in man/NetworkManager.xml :
>
> <para>
>       NetworkManager will execute scripts in the
>       /etc/NetworkManager/dispatcher.d directory or subdirectories in
>       alphabetical order in response to network events.  Each script should
>       be a regular executable file owned by root.  Furthermore, it must not be
>       writable by group or other, and not setuid.
> </para>

Oh but that one should be fine.

Thanks!

Ludo’.

Subject: WiFi stops working if managed with NetworkManager after migration to unprivileged guix daemon
From: Rodion Goritskov <[email-masked]>
To: [email-masked]
Date: Thu, 24 Apr 2025 21:03:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I tried to opt-in into using guix daemon in unprivileged mode using:

> (modify-services %base-services
> 		 (guix-service-type config =>
>                                     (guix-configuration (inherit config)
> 							  (privileged? #f))))

After reconfiguration (and finish of the task changing owner of store to
guix-daemon), I rebooted system to found out that WiFi not working anymore.

I use NetworkManager for the network configuration, with pretty much the
default configuration:

> (service wpa-supplicant-service-type)
> (service network-manager-service-type
>          (network-manager-configuration (vpn-plugins (list
>                                                       network-manager-openvpn))))

In logs I can see the following errors:

> 2025-04-24 10:34:15 localhost NetworkManager[852]: <warn>  [1745483655.8534] plugin: skip invalid file /gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-ovs.so: file has invalid owner (should be root)
> 2025-04-24 10:34:15 localhost NetworkManager[852]: <warn>  [1745483655.8535] plugin: skip invalid file /gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-bluetooth.so: file has invalid owner (should be root)
> 2025-04-24 10:34:15 localhost NetworkManager[852]: <warn>  [1745483655.8536] plugin: skip invalid file /gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-adsl.so: file has invalid owner (should be root)
> 2025-04-24 10:34:15 localhost NetworkManager[852]: <warn>  [1745483655.8536] plugin: skip invalid file /gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-wifi.so: file has invalid owner (should be root)
> 2025-04-24 10:34:15 localhost NetworkManager[852]: <warn>
> [1745483655.8537] plugin: skip invalid file
> /gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-wwan.so:
> file has invalid owner (should be root)

Looks like NetworkManager doesn't like a non-root owner of plugins.

After reconfiguration back to the priveleged guix-service-type,
NetworkManager is back to normal:

> 2025-04-24 11:40:49 localhost NetworkManager[833]: <info>  [1745487649.2569] Loaded device plugin: NMOvsFactory (/gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-ovs.so)
> 2025-04-24 11:40:49 localhost NetworkManager[833]: <info>  [1745487649.3357] Loaded device plugin: NMBluezManager (/gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-bluetooth.so)
> 2025-04-24 11:40:49 localhost NetworkManager[833]: <info>  [1745487649.3373] Loaded device plugin: NMAtmManager (/gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-adsl.so)
> 2025-04-24 11:40:49 localhost NetworkManager[833]: <info>  [1745487649.3414] Loaded device plugin: NMWifiFactory (/gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-wifi.so)
> 2025-04-24 11:40:49 localhost NetworkManager[833]: <info>
> [1745487649.3427] Loaded device plugin: NMWwanFactory
> (/gnu/store/agadky1p0ba367avf524sh5wmcdxcxb1-network-manager-1.52.0/lib/NetworkManager/1.52.0/libnm-device-plugin-wwan.so)